#ifndef code__json__write_hxx_
#define code__json__write_hxx_

#include <code/json/emitter.hxx>

#include <ostream>
#include <sstream>
#include <string>

namespace code::json {

class variant;

inline void
write(std::ostream& os, variant const& v)
{
  visit(emitter{ os }, v);
  os << '\n';
}

inline std::string
write(variant const& json)
{
  std::stringstream str;
  write(str, json);
  return str.str();
}

} // namespace code::json

#endif
